---
sidebarDepth: 2
---
# ADB через TCP

Многие функции, доступные только в режиме root можно использовать, включив ADB через TCP. Для этого потребуется ПК или Mac с установленными инструментами платформы Android и сам смартфон с включенными параметрами для разработчиков, а также должна быть активна опция «Отладка по USB».

::: tip Root пользователи 
Если права суперпользователя предоставлены App Manager, он уже может выполнить привилегированный код без каких-либо проблем. **Поэтому root пользователям не нужно включать ADB через TCP.** Если вы все еще хотите использовать ADB по TCP, вы должны отозвать права суперпользователя для App Manager и перезагрузить устройство. Вы можете увидеть сообщение _«работа в режиме ADB»_ без перезапуска, но это не совсем так. Сервер (используемый как интерфейс между системой и App Manager) все еще работает в режиме root. Это известная проблема, и она будет исправлена в будущей версии App Manager. :::

_Смотрите также: [FAQ: ADB через TCP][faq_aot]_

::: details Таблица содержания
[[toc]]
:::

## 1. Включение параметров для разработчиков

### 1.1. Расположение параметров для разработчиков
**Параметры для разработчиков** расположены в **настройках** Android, либо непосредственно в нижней части страницы (в большинстве прошивок), либо под некоторыми другими настройками, такими как **«Система»** (Lineage OS, Asus Zenfone 8.0+), **«Система»** > **«Дополнительно»** (Google Pixel), **«Расширенные настройки»** (Xiaomi MIUI, Oppo ColorOS), **«Другие настройки»** (Vivo FuntouchOS), **«Другие»** (ZTE Nubia). В отличие от других параметров, они не отображается, пока пользователь не включит их. Если параметры для разработчиков включены, вы можете использовать поле поиска в **настройках** Android, чтобы находить их.

### 1.2. Как включить параметры для разработчиков
Эта опция доступна в **настройках** Android, но, как и расположение параметров для разработчиков, ее расположение отличается в зависимости от устройства. Необходимо найти пункт **«Версия сборки»** (или **«Версия MIUI»** на прошивках MIUI или **«Версия ПО»** в FuntouchOS, **«Версия»** в ColorOS) и нажать на этот пункт не менее 7 раз, пока не появится сообщение _«Вы стали разработчиком!»_ (на этом этапе система может потребовать от вас ввести код блокировки экрана). На большинстве устройств он находится внизу страницы настроек, в разделе **«О телефоне»**. Но лучший способ найти его – воспользоваться окном поиска.

## 2. Включение отладки по USB
После того, как вы [нашли меню параметров для разработчиков](#_1-1-расположение-параметров-для-разработчиков), включите **параметры для разработчиков** (если они не включены). После этого прокрутите немного вниз, пока не найдете опцию **«Отладка по USB»**. Используйте переключатель справа, чтобы включить ее. На этом этапе вы можете получить предупреждение, в котором вам, возможно, придется нажать _OK_, чтобы включить ее. Вам также может потребоваться включить некоторые другие параметры в зависимости от надстройки устройства и прошивки. Вот некоторые примеры:

### 2.1. Xiaomi (MIUI)
Включите также **отладку по USB (настройки безопасности)**.

### 2.2. Huawei (EMUI)
Включите также **отладку по ADB только в режиме зарядки**. При подключении к ПК или Mac вы можете получить сообщение **«Разрешить доступ к данным устройства?»**, в котором нужно нажать **«ДА, РАЗРЕШИТЬ ДОСТУП»**.

::: tip Примечание
Часто режим **отладки по USB** может быть отключен системой автоматически. В таком случае повторите описанную выше процедуру.
:::

### 2.3. LG
Убедитесь, что у вас включена опция **«USB-модем»**.

### 2.4. Исправление проблем
В случае, если **отладка по USB** неактивна, вы можете сделать следующее:
1. Убедитесь, что вы включили отладку по USB, прежде чем подключать телефон к ПК или Mac через USB-кабель
2. Включите USB-модем после подключения к ПК или Mac через USB-кабель
3. [Для устройств Samsung] Если на вашем устройстве работает KNOX, возможно, вам придется выполнить некоторые дополнительные действия. Ознакомьтесь с официальной документацией или обратитесь в службу поддержки для получения дополнительной справки


## 3. Настройка ADB на ПК или Mac
Чтобы включить ADB через TCP, вам необходимо настроить ADB на вашем ПК или Mac. **_Пользователи Lineage OS могут перейти к [пункту 4.1](#_4-1-lineage-os)._**

### 3.1. Windows
1. Скачайте последнюю версию [Android SDK Platform-Tools][sdk_pt_win] для Windows
2. Распакуйте содержимое ZIP-файла в любой каталог (например, `C:\adb`) и перейдите в этот каталог, используя _файловый проводник_
3. Откройте **командную строку** или **PowerShell** из этого каталога. Вы можете сделать это вручную из меню «Пуск» или удерживая клавишу `Shift` и щелкнув правой кнопкой мыши в каталоге в _проводнике_, а затем нажав на _«Открыть строку команд»_ или _«Открыть окно PowerShell_ (в зависимости от того, что у вас установлено). Теперь вы можете получить доступ к ADB, набрав `adb` (в командной строке) или `./adb` (в PowerShell). Не закрывайте пока что это окно

### 3.2. macOS
1. Скачайте последнюю версию [Android SDK Platform-Tools][sdk_pt_mac] для macOS
2. Распакуйте содержимое ZIP-файла в каталог, щелкнув по нему. После этого перейдите в этот каталог, используя _Finder_ и найдите `adb`
3. Откройте **терминал**, используя _Launchpad_ или _Spotlight_ и перетащите `adb` из окна _Finder_ в окно _терминала_. Не закрывайте пока что окно _терминала_

::: tip Подсказка
Если вы не боитесь использовать командную строку, вот одна строка:
```sh
cd ~/Downloads && curl -o platform-tools.zip -L https://dl.google.com/android/repository/platform-tools-latest-darwin.zip && unzip platform-tools.zip && rm platform-tools.zip && cd platform-tools
```
После этого вы можете просто ввести команду `./adb` в том же окне _терминала_ для доступа к ADB.
:::

### 3.3. Linux
1. Откройте свой любимый эмулятор терминала. В большинстве GUI-дистрибутивов вы можете открыть его, удерживая одновременно клавиши `Control`, `Alter` и `T`
2. Выполните следующую команду:
```sh
cd ~/Downloads && curl -o platform-tools.zip -L https://dl.google.com/android/repository/platform-tools-latest-linux.zip && unzip platform-tools.zip && rm platform-tools.zip && cd platform-tools
```
3. В случае успеха, вы можете просто ввести `./adb` в _том же окне_ эмулятора терминала или ввести `~/Downloads/platform-tools/adb` в любом эмуляторе терминала для ADB.

## 4. Настройка ADB через TCP

### 4.1. Lineage OS
Пользователи ОС Lineage (или ее производных) могут напрямую включить ADB через TCP, используя параметры для разработчиков. Чтобы это сделать, перейдите в меню **«Для разработчиков»**, прокрутите вниз, пока не найдете **«ADB по сети»**. Теперь используйте переключатель с правой стороны, чтобы включить его, и перейдите к [пункту 4.3](#_4-3-включение-режима-adb-в-app-manager).

### 4.2. Включение ADB через TCP через ПК или Mac
На других прошивках вы можете сделать это с помощью командной строки/PowerShell/эмулятора терминала, который вы открыли на шаге 3 предыдущего раздела. В этом разделе я буду использовать `adb` для обозначения `./adb`, `adb` или любую другую команду, которую вам нужно было использовать в зависимости от вашей платформы и программного обеспечения в предыдущем разделе.
1. Подключите устройство к ПК или Mac с помощью кабеля USB. Для некоторых устройств необходимо также включить опцию _«Режим передачи файлов (MTP)»_
2. Чтобы убедиться, что все работает должным образом, введите `adb devices` в вашем терминале. Если ваше устройство подключено правильно, вы увидите что-то вроде этого:
    ```
    List of devices attached
    xxxxxxxx  device
    ```
    ::: tip Примечание
    В некоторых смартфонах Android появится предупреждение сообщение **«Разрешить отладку по USB»** в котором нужно поставить галочку рядом с _«Всегда разрешать для этого компьютера»_ и нажать **«Разрешить»**.
    :::
3. И наконец, выполните следующую команду, чтобы включить ADB через TCP:
    ``` sh
    adb tcpip 5555
    ```
    ::: danger Предупреждение
    Вы не можете отключить параметры для разработчиков или отладку по USB после включения ADB через TCP.
    :::

### 4.3. Включение режима ADB в App Manager
После включения ADB через TCP (в предыдущих подразделах) откройте App Manager (AM). У вас должно появиться всплывающее сообщение **«работа режиме ADB»** внизу. Если нет, закройте AM из списка недавних приложений и запустите снова. Если вы увидите всплывающее сообщение, можете смело [остановить ADB через TCP](#_4-4-остановка-adb-через-tcp).

::: tip Примечание
На некоторых устройствах Android для этого может потребоваться подключение или отключение кабеля USB от ПК.
:::

::: warning Предупреждение
ADB через TCP будет отключен после перезагрузки. В этом случае вы должны снова следовать [пункту 4.2](#_4-2-включение-adb-через-tcp-через-пк-или-mac).
:::

### 4.4. Остановка ADB через TCP
Чтобы обеспечить безопасность устройства, вы должны остановить ADB через TCP сразу после обнаружения AM. Чтобы это сделать, подключите устройство к ПК или Mac и выполните следующую команду:
```sh
adb kill-server
```
Замените `adb` на `./adb` или любую другую команду, которую вам приходилось использовать на предыдущих шагах.

Для Lineage OS можно отключить **«ADB через сеть»** в параметрах для разработчиков.

## 5. Ссылки
1. [Как установить ADB на Windows, macOS и Linux](https://www.xda-developers.com/install-adb-windows-macos-linux)
2. [Android Debug Bridge (ADB)](https://developer.android.com/studio/command-line/adb)
3. [Как исправить неактивную отладку по USB?](https://www.syncios.com/android/fix-usb-debugging-grey-out.html)

[faq_aot]: ../faq/adb.md
[sdk_pt_win]: https://dl.google.com/android/repository/platform-tools-latest-windows.zip
[sdk_pt_mac]: https://dl.google.com/android/repository/platform-tools-latest-darwin.zip
