---
sidebarDepth: 2
---

# Резервное копирование/восстановление
App Manager имеет современную, продвинутую и простую в использовании систему резервного копирования/восстановления, реализованную с нуля. Вероятно, это единственное приложение, в котором есть возможность не только восстановить данные приложения, но и разрешения и правила, которые вы настроили в App Manager. Вы также можете сделать резервную копию приложения несколько раз (с настраиваемыми именами) или для всех пользователей.

::: tip Подсказка
Резервное копирование/Восстановление полностью отличается от **Резервного копирования APK**, которое также является частью пакетных операций.
:::

::: details Таблица содержания
[[toc]]
:::

## Местоположение
Резервное копирование/восстановление является частью [пакетных операций][batch_ops]. Также он находится в меню параметров [][app_info_menu] в вкладке [Сведения о приложении][app_info]. Нажатие на **Резервное копирование/восстановление** открывает **Параметры резервного копирования**. Резервные копии в настоящее время находятся в <tt>/sdcard/AppManager</tt>.

::: tip Подсказка
Если одна или несколько выбранных приложений не имеют резервной копии, параметры **Восстановление** и **Удалить Резервную Копию** не будут отображаться.
:::

## Параметры резервного копирования
Параметры резервного копирования (известные как флаги резервного копирования) позволяют настраивать резервные копии на лету. Тем не менее, настройки не будут запоминаться для будущих резервных копий. Если вы хотите настроить этот диалог, используйте [Резервное копирование параметров][settings_bo] на странице [Настройки][settings].

Полное описание вариантов резервного копирования приводится ниже:
- **Источник.** Резервное копирование или восстановление всей исходной директории. Когда вы устанавливаете приложение, APK файлы хранятся внутри <tt>/data/app/</tt> вместе с любыми собственными библиотеками, а также другими файлами, такими как файлы ODEX и VDEX. Этот каталог называется **исходный каталог** или **код пути**. Вы можете дополнительно изменить это, используя опцию **только APK**.
- **Только APK.** При включении параметра **Источник** будет произведено резервное копирование или восстановление всей исходной директории. Включение этой функции вместе с пунктом**Источник** позволит сделать резервную копию или восстановление APK файлов и пропустить резервное копирование нативных библиотек или файлов ODEX и VDEX.
- **Данные.** Следует ли создавать резервную копию внутренних каталогов данных. Эти каталоги находятся в <tt>/data/user/<user_id></tt> и (для Android N или выше) <tt>/data/user_de/<user_id></tt>.
- **Внешние данные.** Резервное копирование директорий данных, расположенных во внутренней памяти и SD-карте (если есть). Внешние каталоги данных часто содержат ненужные данные приложения или медиафайлы (вместо использования выделенной медиа папки) и могут увеличить размер резервной копии. Но для некоторых приложений эти данные могут быть очень важными. Хотя этот пункт не отмечен по умолчанию (так как он может резко увеличить размер резервных копий), рекомендуем проверить его, чтобы обеспечить плавное восстановление ваших резервных копий.
- **OBB и медиа.** Резервное копирование или восстановление OBB и каталогов мультимедиа, расположенных во внешнем хранилище или на SD-карте. Это полезно для игр и некоторых графических программ, которые на самом деле используют эти папки.
- **Исключить кэш.** В Android приложениях есть несколько кэш-директорий, расположенных в каждой папке данных (как внутренней, так и внешней). Существует два типа кэша: **кэш** и **кэш кода**. Включение этой опции исключает оба каталога кэша из всех каталогов данных. Обычно рекомендуется исключать каталоги кеша, поскольку большинство приложений не очищают кеш (по какой-то причине единственный способ, которым приложение может очистить свой кеш, - это удалить весь каталог кеша) и обычно это делается самой ОС. Такие приложения, как Telegram, могут использовать очень большой кеш (в зависимости от объема хранилища), что может значительно увеличить размер вашей резервной копии. Когда эта опция включена, AM также игнорирует резервное копирование из каталогов **no_backup**.
- **Дополнительно.** Резервное копирование или восстановление разрешений приложений, включено по умолчанию. Обратите внимание, что правила блокировки применяются _после_ применения разрешений. Таким образом, если разрешение также доступно в правилах блокировки, оно будет перезаписано (то есть будет использовано разрешение из правил блокировки).
- **Правила.** Этот параметр позволяет создавать резервные копии правил блокировки, настроенных в диспетчере приложений. Это может пригодиться, если у вас настроены разрешения или заблокированы некоторые компоненты с помощью App Manager, поскольку они также будут скопированы или восстановлены при включении этой опции.
- **Создание нескольких резервных копий.** По умолчанию резервные копии сохраняются с использованием идентификатора пользователя. Включение этой опции позволяет создавать дополнительные резервные копии. Эти резервные копии используют текущую дату и время в качестве имени резервной копии по умолчанию, но вы также можете указать пользовательское имя резервного копирования, используя поле ввода, отображаемое при нажатии на кнопку **Резервное копирование(Бекап)**.
- **Все пользователи.** Резервное копирование или восстановление для всех пользователей, а не только для текущего пользователя. _Эта опция устарела и будет заменена более подходящим вариантом в будущем._
- **Пропустить проверку подписи.** При создании резервной копии, контрольная сумма каждого файла (так же как и сертификат(ы) подписи базового APK файла) создается и хранится в виде файла `checksums.txt`. При восстановлении резервной копии контрольные суммы сгенерируются снова и будут совпадать с контрольными суммами, хранящимися в указанном файле. Включение этой опции отключит проверку подписи. Эта опция применяется только при восстановлении резервной копии. Во время резервного копирования контрольные суммы создаются независимо от этого параметра.
  ::: warning Предупреждение
  Вы всегда должны отключить эту опцию, чтобы убедиться, что ваши резервные копии не были изменены сторонними приложениями. Верификация контрольных сумм работает только при включении шифрования.
  :::
  ::: tip Примечание
  App Manager пока не поддерживает восстановление правилStorage-Access-Framework (SAF). Вы должны включить их вручную после восстановления резервной копии.
  :::

## Резервное копирование
Резервное копирование учитывает все параметры резервного копирования, кроме **пропуска проверки подписи**. Если базовые резервные копии (т.е. резервные копии, которые не имеют опции **Создание нескольких резервных копий**), уже существуют, вы получите предупреждение, так как резервные копии будут перезаписаны. Если активирована опция **Создание нескольких резервных копий**, у вас есть возможность ввести имя резервной копии. Или вы можете оставить его пустым, чтобы использовать текущую дату.

## Восстановление
При восстановлении учитываются все параметры резервного копирования и его не удастся выполнить, если установлен параметр **Источник**, но резервная копия не содержит исходных резервных копий, или в других случаях, если приложение не установлено. При восстановлении резервных копий для нескольких пакетов, вы можете только восстановить базовые резервные копии (см. раздел [Резервное копирование](#резервное-копирование) для объяснения). Однако, при восстановлении резервных копий для одного пакета, у вас есть возможность выбрать резервную копию для восстановления. Если выбраны опция **Все пользователи** AM восстановит выбранную резервную копию для всех пользователей в последнем случае, но в первом случае он восстановит базовые резервные копии для соответствующих пользователей.

## Удаление резервной копии
При удалении резервной копии учитывается только параметр **Все пользователи**, и когда он выбран, с запросом будут удалены только базовые резервные копии для всех пользователей. При удалении резервных копий для одного пакета будет показан еще один диалог, в котором вы можете выбрать резервную копию для удаления.

## Шифрование
App Manager в настоящее время поддерживает шифрование OpenPGP. Чтобы включить его, вам необходимо установить поставщика OpenPGP, например [OpenKeychain][open_keychain]. Для настройки поставщика OpenPGP, перейдите на [страницу настроек][settings].

[batch_ops]: ./main-page.md#пакетные-операции
[app_info]: ./app-details-page.md#вкладка-«о-приложении»
[app_info_menu]: ./app-details-page.md#меню-опции
[settings]: ./settings-page.md
[settings_bo]: ./settings-page.md#backup-options
[open_keychain]: https://openkeychain.org
